# (c) Copyright 2014, CodeWeavers, Inc.

import os

import gtk
gtk.gdk.threads_init()

import cxutils
import cxguitools
import bottlecollection


class CrossOverDeepin(object):
    """This is the MainWindow when the user run on other distro"""

    ccenter = None

    def __init__(self):

        self.bottles = bottlecollection.sharedCollection(('basic',))
        self.bottles.addChangeDelegate(self)

        self.mainWindowXML = gtk.Builder()
        self.mainWindowXML.set_translation_domain("crossover")
        self.mainWindowXML.add_from_file(cxguitools.get_ui_path("crossover_deepin"))
        self.mainWindowXML.connect_signals(self)

        self.mainWindow = self.mainWindowXML.get_object("MainWindow")

        self.aboutDialog = None

        # do some fussing with the window layout before drawing.

        iconImage = self.mainWindowXML.get_object("CrossOverIconImage")
        logoImage = self.mainWindowXML.get_object("CrossOverLogoImage")

        iconImage.set_from_file(os.path.join(cxutils.CX_ROOT,
                                             "share",
                                             "images",
                                             "welcomeCrossOverIcon.png"))

        logoImage.set_from_file(os.path.join(cxutils.CX_ROOT,
                                             "share",
                                             "images",
                                             "welcomeCrossOverLogo.png"))

        self.mainWindow.show_all()

    def on_destroy(self, _unused):
        self.bottles.removeChangeDelegate(self)
        cxguitools.toplevel_quit()
